Loading...
Searching...
No Matches
Opm::EclIO::ERst Class Reference
Inheritance diagram for Opm::EclIO::ERst:

## Public Member Functions

| ERst (const std::string &filename)
bool | hasReportStepNumber (int number) const
bool | hasArray (const std::string &name, int number) const
bool | hasArray (const std::string &name, int number, const std::string &gridname)
bool | hasLGR (const std::string &gridname, int reportStepNumber) const
void | loadReportStepNumber (int number)
template<typename T>
const std::vector< T > & | getRestartData (const std::string &name, int reportStepNumber)
template<typename T>
const std::vector< T > & | getRestartData (const std::string &name, int reportStepNumber, int occurrence)
template<typename T>
const std::vector< T > & | getRestartData (int index, int reportStepNumber)
template<typename T>
const std::vector< T > & | getRestartData (const std::string &name, int reportStepNumber, const std::string &lgr_name)
template<typename T>
const std::vector< T > & | getRestartData (int index, int reportStepNumber, const std::string &lgr_name)
int | occurrence_count (const std::string &name, int reportStepNumber) const
size_t | numberOfReportSteps () const
const std::vector< int > & | listOfReportStepNumbers () const
std::vector< EclEntry > | listOfRstArrays (int reportStepNumber)
std::vector< EclEntry > | listOfRstArrays (int reportStepNumber, const std::string &lgr_name)
template<>
const std::vector< int > & | getRestartData (const std::string &name, int reportStepNumber, int occurrence)
template<>
const std::vector< float > & | getRestartData (const std::string &name, int reportStepNumber, int occurrence)
template<>
const std::vector< double > & | getRestartData (const std::string &name, int reportStepNumber, int occurrence)
template<>
const std::vector< bool > & | getRestartData (const std::string &name, int reportStepNumber, int occurrence)
template<>
const std::vector< float > & | getRestartData (const std::string &name, int reportStepNumber, const std::string &lgr_name)
template<>
const std::vector< double > & | getRestartData (const std::string &name, int reportStepNumber, const std::string &lgr_name)
template<>
const std::vector< int > & | getRestartData (const std::string &name, int reportStepNumber, const std::string &lgr_name)
template<>
const std::vector< bool > & | getRestartData (const std::string &name, int reportStepNumber, const std::string &lgr_name)
Public Member Functions inherited from Opm::EclIO::EclFile
| EclFile (const std::string &filename, bool preload=false)
| EclFile (const std::string &filename, Formatted fmt, bool preload=false)
bool | formattedInput () const
void | loadData ()
void | loadData (const std::string &arrName)
void | loadData (int arrIndex)
void | loadData (const std::vector< int > &arrIndex)
void | clearData ()
std::vector< EclEntry > | getList () const
const std::vector< int > & | getElementSizeList () const
template<typename T>
const std::vector< T > & | get (int arrIndex)
template<typename T>
const std::vector< T > & | get (const std::string &name)
bool | hasKey (const std::string &name) const
std::size_t | count (const std::string &name) const
const std::vector< std::string > & | arrayNames () const
std::size_t | size () const
bool | is_ix () const
template<>
const std::vector< int > & | get (int arrIndex)
template<>
const std::vector< float > & | get (int arrIndex)
template<>
const std::vector< double > & | get (int arrIndex)
template<>
const std::vector< bool > & | get (int arrIndex)
template<>
const std::vector< int > & | get (const std::string &name)
template<>
const std::vector< float > & | get (const std::string &name)
template<>
const std::vector< double > & | get (const std::string &name)
template<>
const std::vector< bool > & | get (const std::string &name)

## Friends

class | OutputStream::Restart

## Additional Inherited Members

Public Types inherited from Opm::EclIO::EclFile
using | EclEntry = std::tuple<std::string, eclArrType, std::int64_t>
Protected Member Functions inherited from Opm::EclIO::EclFile
template<class T>
const std::vector< T > & | getImpl (int arrIndex, eclArrType type, const std::unordered_map< int, std::vector< T > > &array, const std::string &typeStr)
std::streampos | seekPosition (const std::vector< std::string >::size_type arrIndex) const
Protected Attributes inherited from Opm::EclIO::EclFile
bool | formatted
std::string | inputFilename
std::unordered_map< int, std::vector< int > > | inte_array
std::unordered_map< int, std::vector< bool > > | logi_array
std::unordered_map< int, std::vector< double > > | doub_array
std::unordered_map< int, std::vector< float > > | real_array
std::unordered_map< int, std::vector< std::string > > | char_array
std::vector< std::string > | array_name
std::vector< eclArrType > | array_type
std::vector< std::int64_t > | array_size
std::vector< int > | array_element_size
std::vector< std::uint64_t > | ifStreamPos
std::map< std::string, int > | array_index

The documentation for this class was generated from the following files:

- opm/io/eclipse/ERst.hpp
- opm/io/eclipse/ERst.cpp